curl -X GET https://sandbox.connect.hopae.com/jwks
{
"keys": [
{
"kty": "RSA",
"kid": "2024-09-01",
"use": "sig",
"alg": "RS256",
"n": "oahUI3nmdQ1...",
"e": "AQAB"
}
]
}
OIDC
JWKS
Retrieve the JSON Web Key Set for verifying Hopae-issued ID tokens
GET
/
jwks
curl -X GET https://sandbox.connect.hopae.com/jwks
{
"keys": [
{
"kty": "RSA",
"kid": "2024-09-01",
"use": "sig",
"alg": "RS256",
"n": "oahUI3nmdQ1...",
"e": "AQAB"
}
]
}
Download the JSON Web Key Set (JWKS) to validate ID token signatures or configure your OIDC client library.
Query Parameters
No query parameters are required.Response
object[]
Array of JWK objects containing public keys (
kty, kid, use, e, n).curl -X GET https://sandbox.connect.hopae.com/jwks
{
"keys": [
{
"kty": "RSA",
"kid": "2024-09-01",
"use": "sig",
"alg": "RS256",
"n": "oahUI3nmdQ1...",
"e": "AQAB"
}
]
}
The
kid (Key ID) in the JWKS matches the kid header of issued ID tokens. When Hopae rotates signing keys, the JWKS is updated with the new key before tokens start referencing it.Related Resources
Discovery Document
Full issuer metadata via
/.well-known/openid-configurationToken
Exchange codes for ID and access tokens

